libgutenprint API Reference 5.2.10

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
stp_printfuncs_t Struct Reference
printer

`#include <printers.h>`

## Data Fields
stp_parameter_list_t(* | list_parameters )(const stp_vars_t *v)
void(* | parameters )(const stp_vars_t *v, const char *name, stp_parameter_t *)
void(* | media_size )(const stp_vars_t *v, int *width, int *height)
void(* | imageable_area )(const stp_vars_t *v, int *left, int *right, int *bottom, int *top)
void(* | maximum_imageable_area )(const stp_vars_t *v, int *left, int *right, int *bottom, int *top)
void(* | limit )(const stp_vars_t *v, int *max_width, int *max_height, int *min_width, int *min_height)
int(* | print )(const stp_vars_t *v, stp_image_t *image)
void(* | describe_resolution )(const stp_vars_t *v, int *x, int *y)
const char *(* | describe_output )(const stp_vars_t *v)
int(* | verify )(stp_vars_t *v)
int(* | start_job )(const stp_vars_t *v, stp_image_t *image)
int(* | end_job )(const stp_vars_t *v, stp_image_t *image)
stp_string_list_t *(* | get_external_options )(const stp_vars_t *v)

## Field Documentation

const char*(* stp_printfuncs_t::describe_output)(const stp_vars_t *v)

void(* stp_printfuncs_t::describe_resolution)(const stp_vars_t *v, int *x, int *y)

int(* stp_printfuncs_t::end_job)(const stp_vars_t *v, stp_image_t *image)

stp_string_list_t*(* stp_printfuncs_t::get_external_options)(const stp_vars_t *v)

void(* stp_printfuncs_t::imageable_area)(const stp_vars_t *v, int *left, int *right, int *bottom, int *top)

void(* stp_printfuncs_t::limit)(const stp_vars_t *v, int *max_width, int *max_height, int *min_width, int *min_height)

stp_parameter_list_t(* stp_printfuncs_t::list_parameters)(const stp_vars_t *v)

void(* stp_printfuncs_t::maximum_imageable_area)(const stp_vars_t *v, int *left, int *right, int *bottom, int *top)

void(* stp_printfuncs_t::media_size)(const stp_vars_t *v, int *width, int *height)

void(* stp_printfuncs_t::parameters)(const stp_vars_t *v, const char *name, stp_parameter_t *)

int(* stp_printfuncs_t::print)(const stp_vars_t *v, stp_image_t *image)

int(* stp_printfuncs_t::start_job)(const stp_vars_t *v, stp_image_t *image)

int(* stp_printfuncs_t::verify)(stp_vars_t *v)

The documentation for this struct was generated from the following file:

- include/gutenprint/printers.h